14/JUL/2018 - Security update - TLS v1.2

Dear customers,

AeroCRS is working to eliminate support of early versions of the Transport Layer Security protocol (TLS v1.0 and TLS v1.1) for securing browser-based as well as server-to-server communication channels in order to comply with security standards.

All users opening secure browser-based connections to AeroCRS web portals and/or server-to-server connections via API to our endpoints will need to ensure that they are using only TLS v1.2 to establish the necessary secure connections to AeroCRS, prior to the termination date, to avoid possible Production impact.

Our current schedule for terminating support of TLS v1.0 and v1.1 for Production environment connections to AeroCRS endpoints is on 14/JUL/2018.

For customers using web browsers, please check your web browser at https://www.ssllabs.com/ clicking on "Test your browser", if you see "YES" next to TLS 1.2 then you are good to go, if you see "No" you will need to update your web browser.

Note that you can check which browsers are supported for TLS 1.2 here: https://en.wikipedia.org/wiki/Transport_Layer_Security#Web_browsers 

If you implemented our API (computer to computer connections), you will need to make sure your connection is setup correctly to support TLS 1.2 only. 

If you have further questions, you may contact support@aerocrs.com

 

Thank you.
AeroCRS Team.

Have more questions? Submit a request

Comments

Powered by Zendesk